﻿using System;

namespace LengthConverter
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Length Converter");
            Console.WriteLine("1. Convert centimeters to meters");
            Console.WriteLine("2. Convert meters to centimeters");
            Console.WriteLine("Enter your choice (1 or 2):");

            int choice;
            bool validChoice = int.TryParse(Console.ReadLine(), out choice);

            if (validChoice)
            {
                if (choice == 1)
                {
                    double centimeters;
                    bool validCentimeters = false;

                    do
                    {
                        Console.WriteLine("Enter length in centimeters:");
                        validCentimeters = double.TryParse(Console.ReadLine(), out centimeters);

                        if (!validCentimeters)
                        {
                            Console.WriteLine("Invalid input. Please enter a valid numeric value for centimeters.");
                        }
                    }
                    while (!validCentimeters);

                    double meters = centimeters / 100;
                    Console.WriteLine($"{centimeters} centimeters = {meters} meters");
                }
                else if (choice == 2)
                {
                    double meters;
                    bool validMeters = false;

                    do
                    {
                        Console.WriteLine("Enter length in meters:");
                        validMeters = double.TryParse(Console.ReadLine(), out meters);

                        if (!validMeters)
                        {
                            Console.WriteLine("Invalid input. Please enter a valid numeric value for meters.");
                        }
                    }
                    while (!validMeters);

                    double centimeters = meters * 100;
                    Console.WriteLine($"{meters} meters = {centimeters} centimeters");
                }
                else
                {
                    Console.WriteLine("Invalid choice. Please enter either 1 or 2.");
                }
            }
            else
            {
                Console.WriteLine("Invalid choice. Please enter either 1 or 2.");
            }
            Console.ReadKey();
        }
    }
}